#include <bits/stdc++.h>
using namespace std;
int main() {
int N,K,a[20000],y;
cin>>N>>K;
for(int i=0;i<N;i++){
  cin>>a[i];
}
for(int i=0;i<N;i++){
  if(a[i]==K){
    y=i+1;
    if(y==N){
      y=0;
    }
    break;
  }
}
cout<<a[y]<<"\n";
return 0;
}